<script>
export default {
	
	props:['format'],
	methods:{

	}

}
</script>


<template>

	<div class="format-view" v-if="format">

		Type: {{ format.type ? format.type : 'unknown' }}<br>
		<span v-if="format.quality_label">Quality: {{ format.quality_label }}<br></span>
		<span v-if="format.encoding">Encoding: {{ format.encoding }}<br></span>
		<span v-if="format.size">Size: {{ format.size ? format.size : 'unknown' }}<br></span>
		<span v-if="format.audioEncoding">Audio: {{ format.audioEncoding }}<br></span>
		Container: {{ format.container }}
		<!-- Url: {{ format.url }}<br>-->

		<input class="download-button" type="button" value="Download" @click="$emit('download', format)">

	</div>
	
</template>
